Bug 9065 - mishandles non-ELF objects on multilib systems like x86_64
: mishandles non-ELF objects on multilib systems like x86_64
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/glibc-utils)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-02-13 12:34 by
Modified: 2006-03-13 10:22 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-02-13 12:34:32
$ ldd /bin/true 
/usr/bin/ldd: line 165: /lib/ld-linux.so.2: No such file or directory
ldd: /lib/ld-linux.so.2 exited with unknown exit code (127)

На x86_64.
coreutils-5.93-alt2
------- Comment #1 From 2006-02-13 14:09:09 -------
$ ldd /bin/true
        not a dynamic executable
$ uname -m
x86_64

Впрочем, баг в ldd всё равно присутствует.
------- Comment #2 From 2006-02-13 14:23:23 -------
Интересно, а как ты этого добился ? У меня несколько систем и это везде
воспроизводится.
------- Comment #3 From 2006-02-13 14:27:06 -------
У меня есть /lib/ld-linux.so.2 и на x86_64. :)
Но в hasher'е легко воспроизводится.
------- Comment #4 From 2006-02-14 03:18:53 -------
$ hsh-run ~/build ldd /etc/passwd
/usr/bin/ldd: line 165: /lib/ld-linux.so.2: No such file or directory
ldd: /lib/ld-linux.so.2 exited with unknown exit code (127)

Лишний кусок кода в ldd, надо выкинуть. :)
------- Comment #5 From 2006-03-12 03:55:22 -------
Fixed in glibc-utils-2.3.6-alt4.
------- Comment #6 From 2006-03-13 10:22:04 -------
ага.. работает.